#ifndef CFG_DEFS_H
#define CFG_DEFS_H 1

static CONST struct {
	CONST char *name;
	CONST char *value;
} config_cache[] = {
	{ "SYSTEM_MAIL",	"'/usr/sbin/sendmail'" },
	{ "alt_char_set",	"'_acs_map'" },
	{ "ansi_varargs",	"'yes'" },
	{ "baddef_remove",	"'no'" },
	{ "bool_defs",	"'yes'" },
	{ "c_const",	"'yes'" },
	{ "c_inline",	"'inline'" },
	{ "color_curses",	"'yes'" },
	{ "curs_performance",	"'no'" },
	{ "dcl_errno",	"'yes'" },
	{ "dcl_sys_errlist",	"'yes'" },
	{ "dcl_sys_nerr",	"'yes'" },
	{ "ebcdic",	"'no'" },
	{ "fancy_curses",	"'yes'" },
	{ "fionbio",	"'ioctl'" },
	{ "func___argz_count",	"'no'" },
	{ "func___argz_next",	"'no'" },
	{ "func___argz_stringify",	"'no'" },
	{ "func_alloca_works",	"'yes'" },
	{ "func_cbreak",	"'yes'" },
	{ "func_cuserid",	"'yes'" },
	{ "func_decl_getgrgid",	"'yes'" },
	{ "func_decl_getgrnam",	"'yes'" },
	{ "func_decl_strstr",	"'yes'" },
	{ "func_define_key",	"'no'" },
	{ "func_getcwd",	"'yes'" },
	{ "func_getgroups",	"'yes'" },
	{ "func_gethostbyname",	"'yes'" },
	{ "func_gethostname",	"'yes'" },
	{ "func_getpagesize",	"'yes'" },
	{ "func_gettimeofday",	"'yes'" },
	{ "func_initscr",	"'no'" },
	{ "func_keypad",	"'yes'" },
	{ "func_lstat",	"'yes'" },
	{ "func_mktime",	"'yes'" },
	{ "func_mmap_fixed_mapped",	"'yes'" },
	{ "func_munmap",	"'yes'" },
	{ "func_popen",	"'yes'" },
	{ "func_putenv",	"'yes'" },
	{ "func_readdir",	"'yes'" },
	{ "func_setenv",	"'yes'" },
	{ "func_setlocale",	"'yes'" },
	{ "func_socket",	"'yes'" },
	{ "func_stpcpy",	"'no'" },
	{ "func_strcasecmp",	"'yes'" },
	{ "func_strchr",	"'yes'" },
	{ "func_strerror",	"'yes'" },
	{ "func_strstr",	"'yes'" },
	{ "func_tgoto",	"'no'" },
	{ "func_unsetenv",	"'yes'" },
	{ "func_use_default_colors",	"'no'" },
	{ "func_vfork_works",	"'yes'" },
	{ "func_waitpid",	"'yes'" },
	{ "func_wborder",	"'yes'" },
	{ "have_errno",	"'yes'" },
	{ "have_h_errno",	"'yes'" },
	{ "have_inet_aton",	"'yes'" },
	{ "have_sys_errlist",	"'yes'" },
	{ "have_sys_nerr",	"'yes'" },
	{ "have_ttytype",	"'no'" },
	{ "have_utmp",	"'yes'" },
	{ "header_alloca_h",	"'yes'" },
	{ "header_argz_h",	"'no'" },
	{ "header_dirent_dirent_h",	"'yes'" },
	{ "header_fcntl_h",	"'no'" },
	{ "header_intl",	"'intl/libintl.h'" },
	{ "header_libgt",	"'intl/libgettext.h'" },
	{ "header_limits_h",	"'no'" },
	{ "header_locale_h",	"'no'" },
	{ "header_malloc_h",	"'yes'" },
	{ "header_nl_types_h",	"'no'" },
	{ "header_stdarg_h",	"'yes'" },
	{ "header_stdc",	"'no'" },
	{ "header_stdlib_h",	"'no'" },
	{ "header_string_h",	"'no'" },
	{ "header_sys_fcntl_h",	"'no'" },
	{ "header_sys_filio_h",	"'no'" },
	{ "header_sys_ioctl_h",	"'no'" },
	{ "header_sys_param_h",	"'no'" },
	{ "header_sys_time_h",	"'no'" },
	{ "header_sys_wait_h",	"'no'" },
	{ "header_termio_h",	"'no'" },
	{ "header_termios_h",	"'no'" },
	{ "header_time",	"'yes'" },
	{ "header_unistd_h",	"'no'" },
	{ "header_values_h",	"'no'" },
	{ "header_varargs_h",	"'yes'" },
	{ "header_vfork_h",	"'no'" },
	{ "header_wait_h",	"'no'" },
	{ "header_waitstatus_h",	"'no'" },
	{ "lib_cursesX_initscr",	"'no'" },
	{ "lib_curses_initscr",	"'yes'" },
	{ "lib_dir_opendir",	"'no'" },
	{ "lib_inet",	"'no'" },
	{ "lib_termcap_tgoto",	"'no'" },
	{ "lib_termlib_tgoto",	"'no'" },
	{ "lib_unknown_tgoto",	"'no'" },
	{ "locale",	"'yes'" },
	{ "ncurses_header",	"'curses.h'" },
	{ "ncurses_version",	"'no'" },
	{ "netlibs",	"''" },
	{ "ngroups",	"'no'" },
	{ "path_BZIP2",	"'bzip2'" },
	{ "path_CHMOD",	"'/usr/ucb/chmod'" },
	{ "path_COMPRESS",	"'/usr/ucb/compress'" },
	{ "path_COPY",	"'/usr/ucb/cp'" },
	{ "path_GZIP",	"'/usr/ucb/gzip'" },
	{ "path_MKDIR",	"'/usr/ucb/mkdir'" },
	{ "path_MV",	"'/usr/ucb/mv'" },
	{ "path_RLOGIN",	"'/usr/ucb/rlogin'" },
	{ "path_RM",	"'/usr/ucb/rm'" },
	{ "path_TAR",	"'/usr/ucb/tar'" },
	{ "path_TELNET",	"'/usr/ucb/telnet'" },
	{ "path_TN3270",	"'tn3270'" },
	{ "path_TOUCH",	"'/usr/ucb/touch'" },
	{ "path_UNCOMPRESS",	"'/usr/ucb/gunzip'" },
	{ "path_UNZIP",	"'unzip'" },
	{ "path_UUDECODE",	"'/usr/ucb/uudecode'" },
	{ "path_ZCAT",	"'/usr/ucb/zcat'" },
	{ "path_ZIP",	"'zip'" },
	{ "prog_CC",	"'gcc'" },
	{ "prog_CPP",	"'gcc -E'" },
	{ "prog_RANLIB",	"'ranlib'" },
	{ "prog_cc_cross",	"'no'" },
	{ "prog_cc_g",	"'no'" },
	{ "prog_cc_works",	"'yes'" },
	{ "prog_gcc",	"'yes'" },
	{ "prog_make_make_set",	"'yes'" },
	{ "screen",	"'curses'" },
	{ "sizechange",	"'yes'" },
	{ "system_mail_flags",	"'-t -oi'" },
	{ "system_name",	"'osf4.0f'" },
	{ "termio_and_curses",	"'yes'" },
	{ "termio_and_termios",	"'yes'" },
	{ "type_getgroups",	"'gid_t'" },
	{ "type_mode_t",	"'yes'" },
	{ "type_off_t",	"'yes'" },
	{ "type_pid_t",	"'yes'" },
	{ "type_size_t",	"'yes'" },
	{ "type_uid_t",	"'yes'" },
	{ "type_unionwait",	"'no'" },
	{ "use_libsocks5",	"'no'" },
	{ "use_libsocks",	"'no'" },
};

static CONST struct {
	CONST char *name;
	CONST char *value;
} config_defines[] = {
	{ "ALT_CHAR_SET",	"_acs_map" },
	{ "ANSI_VARARGS",	"1" },
	{ "BZIP2_PATH",	"\"bzip2\"" },
	{ "CHMOD_PATH",	"\"/usr/ucb/chmod\"" },
	{ "COLOR_CURSES",	"1" },
	{ "COMPRESS_PATH",	"\"/usr/ucb/compress\"" },
	{ "COPY_PATH",	"\"/usr/ucb/cp\"" },
	{ "DIRED_SUPPORT",	"1" },
	{ "DISP_PARTIAL",	"1" },
	{ "DONT_TRACK_INTERNAL_LINKS",	"1" },
	{ "EXP_ALT_BINDINGS",	"1" },
	{ "EXP_PERSISTENT_COOKIES",	"1" },
	{ "FANCY_CURSES",	"1" },
	{ "GETGROUPS_T",	"gid_t" },
	{ "GZIP_PATH",	"\"/usr/ucb/gzip\"" },
	{ "HAVE_ALLOCA",	"1" },
	{ "HAVE_ALLOCA_H",	"1" },
	{ "HAVE_CBREAK",	"1" },
	{ "HAVE_CUSERID",	"1" },
	{ "HAVE_DIRENT_H",	"1" },
	{ "HAVE_GETBKGD",	"1" },
	{ "HAVE_GETCWD",	"1" },
	{ "HAVE_GETGROUPS",	"1" },
	{ "HAVE_GETTIMEOFDAY",	"1" },
	{ "HAVE_H_ERRNO",	"1" },
	{ "HAVE_INET_ATON",	"1" },
	{ "HAVE_KEYPAD",	"1" },
	{ "HAVE_LSTAT",	"1" },
	{ "HAVE_MALLOC_H",	"1" },
	{ "HAVE_MMAP",	"1" },
	{ "HAVE_MUNMAP",	"1" },
	{ "HAVE_POPEN",	"1" },
	{ "HAVE_PUTENV",	"1" },
	{ "HAVE_READDIR",	"1" },
	{ "HAVE_SETENV",	"1" },
	{ "HAVE_SETLOCALE",	"1" },
	{ "HAVE_SIZECHANGE",	"1" },
	{ "HAVE_STDARG_H",	"1" },
	{ "HAVE_STRCASECMP",	"1" },
	{ "HAVE_STRCHR",	"1" },
	{ "HAVE_STRERROR",	"1" },
	{ "HAVE_UNSETENV",	"1" },
	{ "HAVE_UTMP",	"1" },
	{ "HAVE_VARARGS_H",	"1" },
	{ "HAVE_WAITPID",	"1" },
	{ "HAVE_WBORDER",	"1" },
	{ "INSTALL_PATH",	"\"install\"" },
	{ "LOCALE",	"1" },
	{ "LONG_LIST",	"1" },
	{ "LYNX_CFG_FILE",	"\"/usr/local/lib/lynx.cfg\"" },
	{ "LYNX_CFG_H",	"1" },
	{ "MKDIR_PATH",	"\"/usr/ucb/mkdir\"" },
	{ "MV_PATH",	"\"/usr/ucb/mv\"" },
	{ "OK_GZIP",	"1" },
	{ "OK_OVERRIDE",	"1" },
	{ "OK_PERMIT",	"1" },
	{ "OK_TAR",	"1" },
	{ "OK_UUDECODE",	"1" },
	{ "OK_ZIP",	"1" },
	{ "RLOGIN_PATH",	"\"/usr/ucb/rlogin\"" },
	{ "RM_PATH",	"\"/usr/ucb/rm\"" },
	{ "SYSTEM_MAIL",	"\"/usr/sbin/sendmail\"" },
	{ "SYSTEM_MAIL_FLAGS",	"\"-t -oi\"" },
	{ "SYSTEM_NAME",	"\"osf4.0f\"" },
	{ "TAR_PATH",	"\"/usr/ucb/tar\"" },
	{ "TELNET_PATH",	"\"/usr/ucb/telnet\"" },
	{ "TERMIO_AND_CURSES",	"1" },
	{ "TN3270_PATH",	"\"tn3270\"" },
	{ "TOUCH_PATH",	"\"/usr/ucb/touch\"" },
	{ "UNCOMPRESS_PATH",	"\"/usr/ucb/gunzip\"" },
	{ "UNIX",	"1" },
	{ "UNZIP_PATH",	"\"unzip\"" },
	{ "USE_EXTERNALS",	"1" },
	{ "UUDECODE_PATH",	"\"/usr/ucb/uudecode\"" },
	{ "ZCAT_PATH",	"\"/usr/ucb/zcat\"" },
	{ "ZIP_PATH",	"\"zip\"" },
	{ "lstat",	"stat" },
};

#endif /* CFG_DEFS_H */
